MCP Tools Reference: composer.googleapis.com

Tool: list_import_errors

Lists Python import errors and parsing failures in a Managed Airflow environment.

Use this tool to check if all DAGs are being parsed correctly in the environment.

After uploading a DAG, use this tool alongside get_dag to check its parsing status: - Success: get_dag returns DAG details. - Import failed: get_dag returns NOT_FOUND and list_import_errors returns error details and stack traces referencing the DAG file created after the upload. - Pending parsing: get_dag returns NOT_FOUND and list_import_errors has no errors referencing the DAG file, created after upload.

Always check the import error creation time to make sure the error is relevant to the latest upload.

Results are paginated; use page_size to control the number of results per page and page_token from a previous response to get the next page. If page_token is not present in the response, there are no more results.

The following code sample shows how to use curl to call the list_import_errors MCP tool.

Curl Request
curl --location 'https://composer.{region}.rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_import_errors",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Parameters of the list_import_errors tool.

ListImportErrorsRequestMCP

JSON representation
{
  "environment": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
environment

string

Required. The name of the environment. Format: projects/{projectId}/locations/{locationId}/environments/{environmentId}

pageSize

integer

Optional. The maximum number of import errors to return. The tool may return fewer than this value. If unspecified or set to 0, defaults to 20.

pageToken

string

Optional. A page token, received from a previous ListImportErrors call. Provide this to retrieve the subsequent page.

Output Schema

Response to ListImportErrorsRequest.

ListImportErrorsResponse

JSON representation
{
  "importErrors": [
    {
      object (ImportError)
    }
  ],
  "nextPageToken": string
}
Fields
importErrors[]

object (ImportError)

List of import errors.

nextPageToken

string

The page token used to query for the next page if one exists.

ImportError

JSON representation
{
  "creationTime": string,
  "filename": string,
  "stackTrace": string
}
Fields
creationTime

string (Timestamp format)

Time when the error was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

filename

string

Location of the file with the error relative to the Cloud Storage bucket root folder.

stackTrace

string

Full stack trace.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌